> For the complete documentation index, see [llms.txt](https://docs.saas.haut.ai/haut.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/redness.md).

# Redness Result Scheme

Haut.AI provides AI algorithms that analyze the overall skin redness and skin irritation for different facial areas and for the whole face.

## **Description**

{% content-ref url="/pages/5kMFQ51uSUgU8LCfEH14" %}
[Redness Algorithm](/haut.ai/haut.ai-features/algorithms/face-metrics-2-0/redness-algorithm.md)
{% endcontent-ref %}

## `algorithm_tech_name`

`redness`

## `area_name`

The algorithm returns metrics and sub-metrics for the following facial areas:

* `face`
* `forehead`
* `nose`
* `right_cheek`
* `left_cheek`

## `main_metric`

The main metric is an overall score that indicates the redness of each `area_name`

```javascript
"main_metric": {
                "value": 77,
                "widget_type": "bad_good_line",
                "name": "Redness Score",
                "tech_name": "redness_score",
                "widget_meta": null
            },
           
```

* **`value`** the redness score ranges from `[0,100]` *A higher skin redness level is associated with a lower value for this parameter.*
* The score can be classified into six classes based on `value`:
  * `(90,100]` - Excellent
  * `(80,90]` - Great
  * `(70,80]` - Good
  * `(50,70]` - Average
  * `(30, 50]` - Poor
  * `[0,30]` - Bad
* `"widget_type": "bad_good_line"` indicates that a higher value is better, i.e., 100 corresponds to the absence of red areas on the skin while 0 corresponds to extremely irritated skin
* `"name": "Redness score"`
* `"tech_name": "redness_score"`

## `sub_metrics`

The algorithm returns two types of sub-metrics - `Redness Global Score` and `Redness Local Score`

```javascript
 "sub_metrics": [
                {
                    "value": 89,
                    "widget_type": "bad_good_line",
                    "name": "Redness Local Score",
                    "tech_name": "redness_local_score",
                    "widget_meta": null
                },
                {
                    "value": 64,
                    "widget_type": "bad_good_line",
                    "name": "Redness Global Score",
                    "tech_name": "redness_global_score",
                    "widget_meta": null
                }
```

* **`Redness Global Score`** evaluates the degree of global rednesses for each`area_name`
  * **`value`** the redness global score ranges from `[0,100]` *A higher skin redness level is associated with a lower value for this parameter*
  * `"widget_type": "bad_good_line"` indicates that a higher value is better
  * `"name": "Redness Global Score"`
  * `"tech_name": "redness_global_score"`
* **`Redness Local Score`** evaluates the degree of local rednesses (blood vessels, irritation, etc.) for each `area_name`
  * **`value`** the redness local score ranges from `[0,100]` A *higher local redness level of the skin is associated with a lower value for this parameter*
  * `"widget_type": "bad_good_line"` indicates that a higher value is better
  * `"name": "Redness Local Score"`
  * `"tech_name": "redness_local_score"`

## `masks_restored`

The algorithm returns a vectorized heatmap mask of regions with high redness for a face-aligned image.

* `"mask_type": "heatmap_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## `masks_original`

The algorithm returns a vectorized heatmap mask of regions with high redness for an original image

* `"mask_type": "heatmap_mask"`
* `features`

  * geometry
    * `"type": "Multipolygon"`

  See more on Masks [here](/haut.ai/haut.ai-features/algorithms/algorithm-results.md#masks)

## **Example (JSON)**

{% file src="/files/-MYDzwVUpsz5qL4ZD0dy" %}
redness.json
{% endfile %}

***

{% hint style="warning" %}
Not a Haut.AI client yet?
{% endhint %}

<a href="https://haut.ai/book-a-demo?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button primary" data-icon="user-vneck">Book a demo</a> <a href="https://haut.ai/product/ai-skin-analysis?utm_source=referral&#x26;utm_medium=saas_docs&#x26;utm_campaign=Docs_SaaS_HautAI" class="button secondary" data-icon="external-link">Platform overview on haut.ai</a>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.saas.haut.ai/haut.ai/developers/saas-api-overview/api-for-face-metrics-2.0/redness.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
